package com.ruoyi.project.aerial.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.aerial.mapper.TAerialDevVideoMapper;
import com.ruoyi.project.aerial.domain.TAerialDevVideo;
import com.ruoyi.project.aerial.service.ITAerialDevVideoService;

/**
 * 鸟瞰图设备视频Service业务层处理
 *
 * @author ssy
 * @date 2025-04-03
 */
@Service
public class TAerialDevVideoServiceImpl implements ITAerialDevVideoService
{
    @Autowired
    private TAerialDevVideoMapper tAerialDevVideoMapper;

    /**
     * 查询鸟瞰图设备视频
     *
     * @param id 鸟瞰图设备视频ID
     * @return 鸟瞰图设备视频
     */
    @Override
    public TAerialDevVideo selectTAerialDevVideoById(Long id)
    {
        return tAerialDevVideoMapper.selectTAerialDevVideoById(id);
    }

    /**
     * 查询鸟瞰图设备视频列表
     *
     * @param tAerialDevVideo 鸟瞰图设备视频
     * @return 鸟瞰图设备视频
     */
    @Override
    public List<TAerialDevVideo> selectTAerialDevVideoList(TAerialDevVideo tAerialDevVideo)
    {
        return tAerialDevVideoMapper.selectTAerialDevVideoList(tAerialDevVideo);
    }

    /**
     * 新增鸟瞰图设备视频
     *
     * @param tAerialDevVideo 鸟瞰图设备视频
     * @return 结果
     */
    @Override
    public int insertTAerialDevVideo(TAerialDevVideo tAerialDevVideo)
    {
        return tAerialDevVideoMapper.insertTAerialDevVideo(tAerialDevVideo);
    }

    /**
     * 修改鸟瞰图设备视频
     *
     * @param tAerialDevVideo 鸟瞰图设备视频
     * @return 结果
     */
    @Override
    public int updateTAerialDevVideo(TAerialDevVideo tAerialDevVideo)
    {
        return tAerialDevVideoMapper.updateTAerialDevVideo(tAerialDevVideo);
    }

    /**
     * 批量删除鸟瞰图设备视频
     *
     * @param ids 需要删除的鸟瞰图设备视频ID
     * @return 结果
     */
    @Override
    public int deleteTAerialDevVideoByIds(Long[] ids)
    {
        return tAerialDevVideoMapper.deleteTAerialDevVideoByIds(ids);
    }

    /**
     * 删除鸟瞰图设备视频信息
     *
     * @param id 鸟瞰图设备视频ID
     * @return 结果
     */
    @Override
    public int deleteTAerialDevVideoById(Long id)
    {
        return tAerialDevVideoMapper.deleteTAerialDevVideoById(id);
    }
}
